## osspd 1.3.2

=== Makefile ===
# These can be overridden if needed
# DESTDIR is completely respected
CC := gcc
AR := ar
CFLAGS := -Wall $(CFLAGS)
XLDFLAGS := $(LDFLAGS)
LDFLAGS := -L. -lossp $(LDFLAGS)
prefix := /usr/local
DESTDIR :=
UDEVDIR := /etc/udev/rules.d

ifeq "$(origin OSSPD_CFLAGS)" "undefined"
OSSPD_CFLAGS := $(shell pkg-config --cflags fuse)
endif

ifeq "$(origin OSSPD_LDFLAGS)" "undefined"
OSSPD_LDFLAGS := $(shell pkg-config --libs fuse)
endif

ifeq "$(origin OSSP_PADSP_CFLAGS)" "undefined"
OSSP_PADSP_CFLAGS := $(shell pkg-config --cflags libpulse)
endif

ifeq "$(origin OSSP_PADSP_LDFLAGS)" "undefined"
OSSP_PADSP_LDFLAGS := $(shell pkg-config --libs libpulse)
endif

ifeq "$(origin OSSP_ALSAP_CFLAGS)" "undefined"
OSSP_ALSAP_CFLAGS := $(shell pkg-config --libs alsa)
endif

ifeq "$(origin OSSP_ALSAP_LDFLAGS)" "undefined"
OSSP_ALSAP_LDFLAGS := $(shell pkg-config --libs alsa)
endif

headers := ossp.h ossp-util.h ossp-slave.h

all: osspd ossp-padsp ossp-alsap

install:
	mkdir -p $(DESTDIR)$(prefix)/sbin
	install -m755 osspd ossp-padsp ossp-alsap $(DESTDIR)$(prefix)/sbin
	mkdir -p $(DESTDIR)$(UDEVDIR)
	install -m644 98-osscuse.rules $(DESTDIR)$(UDEVDIR)

libossp.a: ossp.c ossp.h ossp-util.c ossp-util.h ossp-slave.c ossp-slave.h
	$(CC) $(CFLAGS) -c -o ossp.o ossp.c
	$(CC) $(CFLAGS) -c -o ossp-util.o ossp-util.c
	$(CC) $(CFLAGS) -c -o ossp-slave.o ossp-slave.c
	$(AR) rc $@ ossp.o ossp-util.o ossp-slave.o

osspd: osspd.c libossp.a $(headers)
	$(CC) $(CFLAGS) $(OSSPD_CFLAGS) -o $@ $< $(OSSPD_LDFLAGS) $(LDFLAGS)

ossp-padsp: ossp-padsp.c libossp.a $(headers)
	$(CC) $(CFLAGS) $(OSSP_PADSP_CFLAGS) -o $@ $< $(OSSP_PADSP_LDFLAGS) $(LDFLAGS)

ossp-alsap: ossp-alsap.c libossp.a $(headers)
	$(CC) $(CFLAGS) $(OSSP_ALSAP_CFLAGS) -o $@ $< $(OSSP_ALSAP_LDFLAGS) $(LDFLAGS)

osstest: osstest.c
	$(CC) $(CFLAGS) -o $@ $< $(XLDFLAGS)

test: osstest
	@./osstest

clean:
	rm -f *.o *.a osspd ossp-padsp ossp-alsap osstest

=== debian/changelog ===
osspd (1.3.2-5) unstable; urgency=low

  * Fix systemd service file.

 -- Ralf Jung <post@ralfj.de>  Thu, 10 Oct 2013 18:29:28 +0200

osspd (1.3.2-4) unstable; urgency=low

  * Move backends into their own packages.
  * Manage the ossp slave via update-alternatives.
  * Add a systemd service file (taken from Arch).
  * Add modprobe file to blacklist OSS modules - thanks, Stephen
    (Closes: #712705).

 -- Ralf Jung <post@ralfj.de>  Thu, 26 Sep 2013 22:28:08 +0200

osspd (1.3.2-3) unstable; urgency=low

  * Provide oss-compat, as we provide OSS, and conflict with it
    since it takes the OSS major/minor numbers.
  * Update Standards-Version to 3.9.4. No changes needed.
  * Add "-pthreads" compiler and linker flag. Patch based on Ubuntu
    patch by Logan Rosen <logan@ubuntu.com>.
  * Add links to git repository.

 -- Ralf Jung <post@ralfj.de>  Sat, 18 May 2013 18:18:14 +0200

osspd (1.3.2-2) unstable; urgency=low

  * 0004-Allow-to-set-slave-installation-path-during-compilat.patch:
    Removed unused variables.
  * Change architecture to linux-any as Hurd and FreeBSD lack epoll.
  * Extend package description.

 -- Ralf Jung <post@ralfj.de>  Tue, 02 Oct 2012 13:26:56 +0200

osspd (1.3.2-1) unstable; urgency=low

  * Initial release (Closes: #687711).

 -- Ralf Jung <post@ralfj.de>  Thu, 20 Sep 2012 11:07:39 +0200

=== debian/control ===
Source: osspd
Section: sound
Priority: optional
Maintainer: Ralf Jung <post@ralfj.de>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               libasound2-dev,
               libfuse-dev,
               libpulse-dev
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/osspd/
Vcs-Browser: http://www.ralfj.de/git/osspd.git
Vcs-Git: git://ralfj.de/osspd.git

Package: osspd
Architecture: linux-any
Depends: lsb-base (>= 3.2-14),
         osspd-pulseaudio | osspd-backend,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: oss-compat
Conflicts: oss-compat
Description: OSS Proxy Daemon: Userland OSS emulation
 OSS Proxy Daemon is a Linux userland OSS sound device (/dev/[a]dsp and
 /dev/mixer) implementation using CUSE. Currently it supports
 forwarding OSS sound streams to PulseAudio and ALSA.
 .
 Actually emulating the OSS devices makes for a more robust emulation compared
 to OSS wrappers using LD_PRELOAD, like aoss and padsp. It also works better
 when running foreign-architecture applications or using old libc versions for
 compatibility reasons.

Package: osspd-pulseaudio
Architecture: linux-any
Provides: osspd-backend
Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
Recommends: osspd
Replaces: osspd (<< 1.3.2-4)
Breaks: osspd (<< 1.3.2-4)
Description: OSS Proxy Daemon: PulseAudio backend
 OSS Proxy Daemon is a Linux userland OSS sound device (/dev/[a]dsp and
 /dev/mixer) implementation using CUSE. Currently it supports
 forwarding OSS sound streams to PulseAudio and ALSA.
 .
 This package contains the PulseAudio backend for osspd.

Package: osspd-alsa
Architecture: linux-any
Provides: osspd-backend
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: osspd
Replaces: osspd (<< 1.3.2-4)
Breaks: osspd (<< 1.3.2-4)
Description: OSS Proxy Daemon: ALSA backend (experimental)
 OSS Proxy Daemon is a Linux userland OSS sound device (/dev/[a]dsp and
 /dev/mixer) implementation using CUSE. Currently it supports
 forwarding OSS sound streams to PulseAudio and ALSA.
 .
 This package contains the experimental ALSA backend for osspd.

Package: osspd-dbg
Architecture: linux-any
Depends: osspd (= ${binary:Version}), ${misc:Depends}
Section: debug
Priority: extra
Description: OSS Proxy Daemon: Debugging symbols
 OSS Proxy Daemon is a Linux userland OSS sound device (/dev/[a]dsp and
 /dev/mixer) implementation using CUSE. Currently it supports
 forwarding OSS sound streams to PulseAudio and ALSA.
 .
 This package contains the debugging symbols for the OSS Proxy Daemon and its
 backends.

=== debian/rules ===
#!/usr/bin/make -f

SLAVESDIR=/usr/lib/osspd
UDEVDIR=/lib/udev/rules.d

%:
	dh $@ --parallel --with=systemd

override_dh_auto_build:
	dh_auto_build -- SLAVESDIR=$(SLAVESDIR) UDEVDIR=$(UDEVDIR)

override_dh_auto_install:
	dh_auto_install -- prefix=/usr SLAVESDIR=$(SLAVESDIR) UDEVDIR=$(UDEVDIR)

override_dh_strip:
	dh_strip --dbg-package=osspd-dbg

override_dh_installdocs:
	mkdir -p debian/osspd-dbg/usr/share/doc
	ln -s osspd debian/osspd-dbg/usr/share/doc/osspd-dbg
	dh_installdocs

override_dh_install:
	dh_install --fail-missing

# Disable tests, they require running the osspd
override_dh_auto_test:

=== debian/watch ===
version=3
http://sf.net/osspd/ossp-(.+)\.tar\.gz

## osspd 1.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

list(APPEND CMAKE_MODULE_PATH
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake"
)

project("OSS Proxy"
	VERSION 1.3.3
	DESCRIPTION "Emulate OSS device(s) using CUSE."
	HOMEPAGE_URL "https://github.com/OpenMandrivaSoftware/ossp"
	LANGUAGES "C"
)

option(alsa       "Build ALSA slave."       OFF)
option(daemon     "Build daemon."           ON)
option(pulseaudio "Build PulseAudio slave." ON)
option(test       "Build test."             OFF)

include(ossp-util)

if(test)
	include(CTest)
endif()

# Shared library
add_library(libossp OBJECT
	"ossp.c"
	"ossp.h"
	"ossp-slave.c"
	"ossp-slave.h"
	"ossp-util.c"
	"ossp-util.h"
)

target_compile_definitions(libossp
	PUBLIC
		"OSSP_VERSION=\"${PROJECT_VERSION}\""
)

# Daemon
if(daemon)
	add_executable(osspd "osspd.c")
	set_output_dir(osspd)

	link_pkg(osspd "fuse3")
	target_link_libraries(osspd PRIVATE libossp)

	install_daemon(osspd)
endif()

# ALSA slave
if(alsa)
	add_executable(ossp-alsap "ossp-alsap.c")
	set_output_dir(ossp-alsap)

	link_pkg(ossp-alsap "alsa")
	target_link_libraries(ossp-alsap PRIVATE libossp)

	install_slave(ossp-alsap)
endif()

# PulseAudio slave
if(pulseaudio)
	add_executable(ossp-padsp "ossp-padsp.c")
	set_output_dir(ossp-padsp)

	link_pkg(ossp-padsp "libpulse")
	target_link_libraries(ossp-padsp PRIVATE libossp)

	install_slave(ossp-padsp)
endif()

if(test)
	add_executable(osstest "osstest.c")

	add_test(
		NAME osstest
		COMMAND osstest
		WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
	)
endif()

install_udev_rules("98-osscuse.rules")

=== debian/changelog ===
osspd (1.3.3-6) unstable; urgency=medium

  * fix build with CMake 4 (Closes: #1113381)
  * d/control: remove hardcoded "Depends: libfuse3-4 (>= 3.17.2)"
    src:fuse3 has been fixed

 -- Sébastien Noel <sebastien@twolife.be>  Mon, 01 Sep 2025 08:02:43 +0200

osspd (1.3.3-5) unstable; urgency=medium

  * d/control:
    + Build-Depends on libfuse3-dev (>= 3.17.2)
    + Remove "Breaks: libfuse3-4 (<< 3.17.2)"
    + Hardcode "Depends: libfuse3-4 (>= 3.17.2)"

 -- Sébastien Noel <sebastien@twolife.be>  Thu, 15 May 2025 10:32:15 +0200

osspd (1.3.3-4) unstable; urgency=medium

  * Remove previous workaround now that fuse3 v3.17.2 is in unstable
    and add "Breaks: libfuse3-4 (<< 3.17.2)" in d/control

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 09 May 2025 08:30:50 +0200

osspd (1.3.3-3) unstable; urgency=medium

  * Fix SIGTERM handling on the libfuse side.
    https://github.com/libfuse/libfuse/issues/1182

 -- Sébastien Noel <sebastien@twolife.be>  Wed, 23 Apr 2025 14:06:15 +0200

osspd (1.3.3-2) unstable; urgency=medium

  * Fix i386 build failure.

 -- Sébastien Noel <sebastien@twolife.be>  Sun, 01 Sep 2024 16:14:54 +0200

osspd (1.3.3-1) unstable; urgency=medium

  * New upstream release.
    + Build against libfuse3.
  * Drop patches applied upstream.
  * Add Build-Depends on cmake.
  * Update d/watch file.

 -- Sébastien Noel <sebastien@twolife.be>  Sun, 01 Sep 2024 12:22:44 +0200

osspd (1.3.2-14) unstable; urgency=medium

  [ Ralf Jung ]
  * Make Sébastien Noel the primary maintainer.

  [ Sébastien Noel ]
  * Update upstream current location.
  * Refresh patches information.
  * Declare compliance with Debian Policy 4.7.0.
  * Cherrypick a commit from upstream:
    d/p/GIT-Rewrite_set_extra_env.patch
  * Cherrypick a commit from ArchLinux package:
    d/p/Log-the-right-slave-program-name.patch
  * d/osspd.lintian-overrides: Suppress false positive for
    appstream-metadata-missing-modalias-provide.

 -- Sébastien Noel <sebastien@twolife.be>  Sun, 14 Jul 2024 18:08:22 +0200

osspd (1.3.2-13.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install all files below /usr. (Closes: #1059416)
    For udev rules, use udev.pc to find correct install location.
    For the rest, just hardcode /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 00:45:21 +0200

osspd (1.3.2-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add an alternative dependency of osspd-pulseaudio on pipewire-pulse
    (closes: #1030329).
  * Drop dependency of osspd on the obsolete lsb-base package.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 04 Feb 2023 21:49:50 +0300

osspd (1.3.2-13) unstable; urgency=medium

  [Debian Janitor]
  * Remove constraints unnecessary since buster:
    + osspd: Drop versioned constraint on lsb-base in Depends.
    + osspd-pulseaudio: Drop versioned constraint on osspd in Replaces.
    + osspd-pulseaudio: Drop versioned constraint on osspd in Breaks.
    + osspd-alsa: Drop versioned constraint on osspd in Replaces.
    + osspd-alsa: Drop versioned constraint on osspd in Breaks.

  [ Ralf Jung ]
  * Switch to debhelper compat level 13.

  [ Sébastien Noel ]
  * cherrypick 2 commits from upstream GIT:
    + d/p/GIT-fix-adsp_se.patch
    + d/p/GIT-fix-compiler-warnings.patch

 -- Ralf Jung <post@ralfj.de>  Mon, 04 Oct 2021 18:18:20 -0400

osspd (1.3.2-12.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert non-critical patch backports from 1.3.2-12.
    These do seem correct, but it's too close to the bullseye release
    to be making unimportant changes. (Closes: #990121)
  * Move VCS to salsa.debian.org with maintainer's agreement

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Jun 2021 11:29:44 +0100

osspd (1.3.2-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert debhelper compat bump to try to get #986662 fixed in bullseye.
    At this point in the freeze, a debhelper compat level change is
    considered unnecessarily risky.

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Jun 2021 10:17:56 +0100

osspd (1.3.2-12) unstable; urgency=low

  [ Sébastien Noel ]
  * cherrypick 2 commits from upstream GIT:
    + d/p/GIT-fix-adsp_se.patch
    + d/p/GIT-fix-compiler-warnings.patch
  * Add workaround for pulseaudio >= 13
    d/p/Hack-to-work-with-modern-PulseAudio.patch  (Closes: #986662)

  [ Ralf Jung ]
  * Switch to debhelper compat level 13.

 -- Ralf Jung <post@ralfj.de>  Sat, 17 Apr 2021 14:28:09 +0200

osspd (1.3.2-11) unstable; urgency=medium

  * Update Standards-Version to 4.3.0.  No changes needed.
  * Fix cross-build with a patch by Helmut Grohne
    <helmut@subdivi.de> (again).  (Closes: #917827).

 -- Ralf Jung <post@ralfj.de>  Fri, 25 Jan 2019 15:36:20 +0100

osspd (1.3.2-10) unstable; urgency=medium

  * Fix build on MIPS.  (Closes: #916231)

 -- Ralf Jung <post@ralfj.de>  Wed, 26 Dec 2018 19:10:03 +0100

osspd (1.3.2-9) unstable; urgency=medium

  * Fix using target-architecture pkg-config. Patch by
    Helmut Grohne <helmut@subdivi.de>.  (Closes: #882365)
  * No longer depend on obsolete dh-systemd.  Instead, depend
    on sufficiently new debhelper.
  * Update Standards-Version to 4.1.2.  Changed some URLs to
    https.

 -- Ralf Jung <post@ralfj.de>  Fri, 08 Dec 2017 19:56:38 +0100

osspd (1.3.2-8) unstable; urgency=medium

  * Mark osspd as Multi-Arch: foreign (Closes: #861577).
  * Update Standards-Version to 3.9.8. No changes needed.
  * Use https URL for Vcs-Browser.
  * Add Documentation to systemd service file.
  * Fix a typo in the manpage.

 -- Ralf Jung <post@ralfj.de>  Wed, 17 May 2017 19:31:18 +0200

osspd (1.3.2-7) unstable; urgency=medium

  * Migrate debug symbols to ddeb.
  * Update Standards-Version to 3.9.6. No changes needed.

 -- Ralf Jung <post@ralfj.de>  Mon, 28 Dec 2015 13:39:48 +0100

osspd (1.3.2-6) unstable; urgency=medium

  * Load cuse module via module-load.d.
  * Update Standards-Version to 3.9.5. No changes needed.



=== debian/control ===
Source: osspd
Section: sound
Priority: optional
Maintainer: Sébastien Noel <sebastien@twolife.be>
Uploaders: Ralf Jung <post@ralfj.de>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libasound2-dev,
               libfuse3-dev (>= 3.17.2),
               libpulse-dev,
               pkgconf,
               systemd-dev
Standards-Version: 4.7.2
Homepage: https://github.com/OpenMandrivaSoftware/ossp
Vcs-Browser: https://salsa.debian.org/debian/osspd
Vcs-Git: https://salsa.debian.org/debian/osspd.git

Package: osspd
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: osspd-pulseaudio | osspd-backend,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: oss-compat
Conflicts: oss-compat
Description: OSS Proxy Daemon: Userland OSS emulation
 OSS Proxy Daemon is a Linux userland OSS sound device (/dev/[a]dsp and
 /dev/mixer) implementation using CUSE. Currently it supports
 forwarding OSS sound streams to PulseAudio and ALSA.
 .
 Actually emulating the OSS devices makes for a more robust emulation compared
 to OSS wrappers using LD_PRELOAD, like aoss and padsp. It also works better
 when running foreign-architecture applications or using old libc versions for
 compatibility reasons.

Package: osspd-pulseaudio
Architecture: linux-any
Provides: osspd-backend
Depends: pulseaudio | pipewire-pulse, ${misc:Depends}, ${shlibs:Depends}
Recommends: osspd
Description: OSS Proxy Daemon: PulseAudio backend
 OSS Proxy Daemon is a Linux userland OSS sound device (/dev/[a]dsp and
 /dev/mixer) implementation using CUSE. Currently it supports
 forwarding OSS sound streams to PulseAudio and ALSA.
 .
 This package contains the PulseAudio backend for osspd.

Package: osspd-alsa
Architecture: linux-any
Provides: osspd-backend
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: osspd
Description: OSS Proxy Daemon: ALSA backend (experimental)
 OSS Proxy Daemon is a Linux userland OSS sound device (/dev/[a]dsp and
 /dev/mixer) implementation using CUSE. Currently it supports
 forwarding OSS sound streams to PulseAudio and ALSA.
 .
 This package contains the experimental ALSA backend for osspd.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=+lfs
export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)

SLAVESDIR=/usr/lib/osspd

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dalsa=ON -Dpulseaudio=ON -DSLAVESDIR=$(SLAVESDIR)

override_dh_install:
	dh_install
	# adding kmod integration
	install -D -m 0644 debian/osspd.kmod debian/osspd/usr/lib/modules-load.d/osspd.conf

# Disable tests, they require running the osspd
override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/OpenMandrivaSoftware/ossp/tags .*/v?(\d.*)@ARCHIVE_EXT@
